%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:       python-django-horizon
# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:      1
Version:    10.0.1
Release:    5%{?dist}
Provides:    python2-django-horizon = %{epoch}:%{version}-%{release}
Summary:    Django application for talking to Openstack

Group:      Development/Libraries
# Code in horizon/horizon/utils taken from django which is BSD
License:    ASL 2.0 and BSD
URL:        http://horizon.openstack.org/
Source0:    http://tarballs.openstack.org/horizon/horizon-%{upstream_version}.tar.gz
Source2:    openstack-dashboard-httpd-2.4.conf
Source3:    python-django-horizon-systemd.conf

# demo config for separate logging
Source4:    openstack-dashboard-httpd-logging.conf

# logrotate config
Source5:    python-django-horizon-logrotate.conf

#
#patches_base=+2
#
Patch0001: 0001-remove-runtime-dep-to-python-pbr.patch
Patch0002: 0002-Add-a-theme-subpackage-based-on-RCUE-theme.patch
Patch0003: 0003-add-fonts.patch
Patch0004: 0004-Disable-metering-panel.patch
Patch0005: 0005-change-docs-URL-to-point-to-access.redhat.com.patch
Patch0006: 0006-add-favicon.ico.patch
Patch0007: 0007-Make-pages-scrollable-with-RCUE-theme.patch
Patch0008: 0008-Prevent-Angular-from-intercepting-links-in-menus.patch
Patch0009: 0009-Make-the-reveal-passord-icon-visible-on-the-login-pa.patch
Patch0010: 0010-Update-scss-imports-in-RCUE-theme.patch
Patch0011: 0011-Fix-pep8-failure-in-settings.py.patch
Patch0012: 0012-Fix-pep8-indentation-in-settings.py.patch
Patch0013: 0013-Prevent-Angular-from-intercepting-links-in-navigatio.patch
Patch0014: 0014-Remove-unnecessary-scrollbars-in-RCUE-theme.patch
Patch0015: 0015-Get-rid-of-empty-space-in-downstream-theme.patch
Patch0016: 0016-Fix-the-flicker-of-the-log-on-button-name.patch
Patch0017: 0017-Unable-to-retrieve-Domain-incessant-warning-logs.patch
Patch0018: 0018-Correct-installation-command-to-include-upper-constr.patch
Patch0019: 0019-Add-the-slaac-ipv6-address-mode-without-ra-mode.patch
Patch0020: 0020-Strip-leading-or-trailing-spaces-from-Instance-names.patch
Patch0021: 0021-Show-tab-label-in-Admin-CreateSubnet-UpdateSubnet-fo.patch
Patch0022: 0022-Imported-Translations-from-Zanata.patch
Patch0023: 0023-Add-LOCALE_PATHS-to-settings.patch
Patch0024: 0024-Make-Detach-Volume-in-Instances-page-translatable.patch
Patch0025: 0025-Launch-Instance-Creating-new-volume-for-image-snapsh.patch
Patch0026: 0026-Remove-broken-telemetry-policy-check.patch
Patch0027: 0027-Fix-logspam-in-django-1.9-and-django-1.10-tests.patch
Patch0028: 0028-Imported-Translations-from-Zanata.patch
Patch0029: 0029-Note-how-to-use-local.conf-in-stable-branches.patch
Patch0030: 0030-Remove-local-enabled-from-test-settings.patch
Patch0031: 0031-Improve-Horizon-nav-sidebar.patch
Patch0032: 0032-Add-constraints-support-to-run_tests.sh.patch
Patch0033: 0033-Remove-network-name-from-create-subnet-error-message.patch
Patch0034: 0034-Bug-fixes-Magic-Search.patch
Patch0035: 0035-Angular-images-deactivate-status-fix.patch
Patch0036: 0036-Rework-hardcoded-policy-in-admin-dash.patch
Patch0037: 0037-Allow-router-panel-to-not-break-sidebar.patch
Patch0038: 0038-Reset-flavors-for-other-than-Boot-from-Image-source-.patch
Patch0039: 0039-Fixes-traceback-if-group-name-attribute-is-missing.patch
Patch0040: 0040-Let-Nova-to-pick-availability-zone-if-more-than-1.patch
Patch0041: 0041-modified-condition-variable-project_choices.patch
Patch0042: 0042-The-minimum-volume-size-should-be-pre-populated.patch
Patch0043: 0043-Imported-Translations-from-Zanata.patch
Patch0044: 0044-Imported-Translations-from-Zanata.patch
Patch0045: 0045-Resize-instance-error-fixed.patch
Patch0046: 0046-Revert-Fix-the-flicker-of-the-log-on-button-name.patch

#
# BuildArch needs to be located below patches in the spec file. Don't ask!
#

BuildArch:  noarch

BuildRequires:   python-django
Requires:   python-django


Requires:   pytz
Requires:   python-six >= 1.9.0
Requires:   python-pbr

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr >= 0.7.0
BuildRequires: git
BuildRequires: python-six >= 1.9.0
BuildRequires: gettext

# for checks:
%if 0%{?rhel} == 0
BuildRequires:   python-django-nose >= 1.2
BuildRequires:   python-coverage
BuildRequires:   python-mox3
BuildRequires:   python-nose-exclude
BuildRequires:   python-nose
BuildRequires:   python-selenium
%endif
BuildRequires:   python-netaddr
BuildRequires:   python-anyjson
BuildRequires:   python-iso8601

# additional provides to be consistent with other django packages
Provides: django-horizon = %{epoch}:%{version}-%{release}

%description
Horizon is a Django application for providing Openstack UI components.
It allows performing site administrator (viewing account resource usage,
configuring users, accounts, quotas, flavors, etc.) and end user
operations (start/stop/delete instances, create/restore snapshots, view
instance VNC console, etc.)


%package -n openstack-dashboard
Summary:    Openstack web user interface reference implementation
Group:      Applications/System

Requires:   httpd
Requires:   mod_wsgi
Requires:   %{name} = %{epoch}:%{version}-%{release}
Requires:   python-django-openstack-auth >= 2.3.0
Requires:   python-django-compressor >= 2.0
Requires:   python-django-appconf
Requires:   python-lesscpy

Requires:   openstack-dashboard-theme = %{epoch}:%{version}-%{release}

Requires:   python-glanceclient
Requires:   python-keystoneclient >= 1:1.7.0
Requires:   python-novaclient >= 2.29.0
Requires:   python-neutronclient
Requires:   python-cinderclient >= 1.6.0
Requires:   python-swiftclient
Requires:   python-heatclient
Requires:   python-ceilometerclient
Requires:   python-troveclient >= 1.0.0
Requires:   python-saharaclient
Requires:   python-netaddr
Requires:   python-oslo-config
Requires:   python-django-pyscss >= 2.0.2
Requires:   python-XStatic
Requires:   python-XStatic-jQuery
Requires:   python-XStatic-Angular >= 1:1.3.7
Requires:   python-XStatic-Angular-Bootstrap
Requires:   python-XStatic-Angular-Mock
Requires:   python-XStatic-Angular-Schema-Form
Requires:   python-XStatic-D3
Requires:   python-XStatic-Font-Awesome
Requires:   python-XStatic-Hogan
Requires:   python-XStatic-JQuery-Migrate
Requires:   python-XStatic-JQuery-TableSorter
Requires:   python-XStatic-JQuery-quicksearch
Requires:   python-XStatic-JSEncrypt
Requires:   python-XStatic-Jasmine
Requires:   python-XStatic-QUnit
Requires:   python-XStatic-Rickshaw
Requires:   python-XStatic-Spin
Requires:   python-XStatic-jquery-ui
Requires:   python-XStatic-Bootstrap-Datepicker
Requires:   python-XStatic-Bootstrap-SCSS
Requires:   python-XStatic-termjs
Requires:   python-XStatic-smart-table
Requires:   python-XStatic-Angular-lrdragndrop
Requires:   python-XStatic-Angular-Gettext
Requires:   python-XStatic-Angular-FileUpload
Requires:   python-XStatic-Magic-Search
Requires:   python-XStatic-bootswatch
Requires:   python-XStatic-roboto-fontface
Requires:   python-XStatic-mdi
Requires:   python-XStatic-objectpath
Requires:   python-XStatic-tv4

Requires:   python-scss >= 1.3.4
Requires:   fontawesome-fonts-web >= 4.1.0

Requires:   python-oslo-concurrency
Requires:   python-oslo-config
Requires:   python-oslo-i18n
Requires:   python-oslo-serialization
Requires:   python-oslo-utils
Requires:   python-oslo-policy
Requires:   python-babel
Requires:   python-pint

Requires:   openssl
Requires:   logrotate

BuildRequires: python-django-openstack-auth >= 1.1.7
BuildRequires: python-django-compressor >= 2.0
BuildRequires: python-django-appconf
BuildRequires: python-lesscpy
BuildRequires: python-oslo-config
BuildRequires: python-django-pyscss >= 2.0.2
BuildRequires: python-XStatic
BuildRequires: python-XStatic-jQuery
BuildRequires: python-XStatic-Angular >= 1:1.3.7
BuildRequires: python-XStatic-Angular-Bootstrap
BuildRequires: python-XStatic-Angular-Mock
BuildRequires: python-XStatic-Angular-Schema-Form
BuildRequires: python-XStatic-D3
BuildRequires: python-XStatic-Font-Awesome
BuildRequires: python-XStatic-Hogan
BuildRequires: python-XStatic-JQuery-Migrate
BuildRequires: python-XStatic-JQuery-TableSorter
BuildRequires: python-XStatic-JQuery-quicksearch
BuildRequires: python-XStatic-JSEncrypt
BuildRequires: python-XStatic-Jasmine
BuildRequires: python-XStatic-QUnit
BuildRequires: python-XStatic-Rickshaw
BuildRequires: python-XStatic-Spin
BuildRequires: python-XStatic-jquery-ui
BuildRequires: python-XStatic-Bootstrap-Datepicker
BuildRequires: python-XStatic-Bootstrap-SCSS
BuildRequires: python-XStatic-termjs
BuildRequires: python-XStatic-smart-table
BuildRequires: python-XStatic-Angular-lrdragndrop
BuildRequires: python-XStatic-Angular-FileUpload
BuildRequires: python-XStatic-Magic-Search
BuildRequires: python-XStatic-Angular-Gettext
BuildRequires: python-XStatic-bootswatch
BuildRequires: python-XStatic-roboto-fontface
BuildRequires: python-XStatic-mdi
BuildRequires: python-XStatic-objectpath
BuildRequires: python-XStatic-tv4
# bootstrap-scss requires at least python-scss >= 1.2.1
BuildRequires: python-scss >= 1.3.4
BuildRequires: fontawesome-fonts-web >= 4.1.0
BuildRequires: python-oslo-concurrency
BuildRequires: python-oslo-config
BuildRequires: python-oslo-i18n
BuildRequires: python-oslo-serialization
BuildRequires: python-oslo-utils
BuildRequires: python-oslo-policy
BuildRequires: python-babel
BuildRequires: python-pint

BuildRequires: pytz
BuildRequires: systemd

%description -n openstack-dashboard
Openstack Dashboard is a web user interface for Openstack. The package
provides a reference implementation using the Django Horizon project,
mostly consisting of JavaScript and CSS to tie it altogether as a standalone
site.


%package doc
Summary:    Documentation for Django Horizon
Group:      Documentation

Requires:   %{name} = %{epoch}:%{version}-%{release}
BuildRequires: python-sphinx >= 1.1.3

# Doc building basically means we have to mirror Requires:
BuildRequires: python-glanceclient
BuildRequires: python-keystoneclient
BuildRequires: python-novaclient >= 2.29.0
BuildRequires: python-neutronclient
BuildRequires: python-cinderclient
BuildRequires: python-swiftclient
BuildRequires: python-heatclient
BuildRequires: python-ceilometerclient
BuildRequires: python-troveclient >= 1.0.0
BuildRequires: python-saharaclient
BuildRequires: python-oslo-sphinx

%description doc
Documentation for the Django Horizon application for talking with Openstack

%package -n openstack-dashboard-theme
Summary: OpenStack web user interface reference implementation theme module
Requires: openstack-dashboard = %{epoch}:%{version}-%{release}

%description -n openstack-dashboard-theme
Customization module for OpenStack Dashboard to provide a branded logo.

%prep
%autosetup -n horizon-%{upstream_version} -S git

# drop config snippet
cp -p %{SOURCE4} .

# customize default settings
# WAS [PATCH] disable debug, move web root
sed -i "/^DEBUG =.*/c\DEBUG = False" openstack_dashboard/local/local_settings.py.example
sed -i "/^WEBROOT =.*/c\WEBROOT = '/dashboard/'" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*ALLOWED_HOSTS =.*/c\ALLOWED_HOSTS = ['horizon.example.com', 'localhost']" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*LOCAL_PATH =.*/c\LOCAL_PATH = '/tmp'" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*POLICY_FILES_PATH =.*/c\POLICY_FILES_PATH = '/etc/openstack-dashboard'" openstack_dashboard/local/local_settings.py.example

sed -i "/^BIN_DIR = .*/c\BIN_DIR = '/usr/bin'" openstack_dashboard/settings.py
sed -i "/^COMPRESS_PARSER = .*/a COMPRESS_OFFLINE = True" openstack_dashboard/settings.py

# set COMPRESS_OFFLINE=True
sed -i 's:COMPRESS_OFFLINE.=.False:COMPRESS_OFFLINE = True:' openstack_dashboard/settings.py

%build
# compile message strings
cd horizon && django-admin compilemessages && cd ..
cd openstack_dashboard && django-admin compilemessages && cd ..
# Dist tarball is missing .mo files so they're not listed in distributed egg metadata.
# Removing egg-info and letting PBR regenerate it was working around that issue
# but PBR cannot regenerate complete SOURCES.txt so some other files wont't get installed.
# Further reading why not remove upstream egg metadata:
# https://github.com/emonty/python-oslo-messaging/commit/f632684eb2d582253601e8da7ffdb8e55396e924
# https://fedorahosted.org/fpc/ticket/488
echo >> horizon.egg-info/SOURCES.txt
ls */locale/*/LC_MESSAGES/django*mo >> horizon.egg-info/SOURCES.txt
%{__python} setup.py build

# compress css, js etc.
cp openstack_dashboard/local/local_settings.py.example openstack_dashboard/local/local_settings.py
# get it ready for compressing later in puppet-horizon
%{__python} manage.py collectstatic --noinput --clear
%{__python} manage.py compress --force


# build docs
export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-build -b html doc/source html

# undo hack
cp openstack_dashboard/local/local_settings.py.example openstack_dashboard/local/local_settings.py

# Fix hidden-file-or-dir warnings
rm -fr html/.doctrees html/.buildinfo

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# drop httpd-conf snippet
install -m 0644 -D -p %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/openstack-dashboard.conf
install -d -m 755 %{buildroot}%{_datadir}/openstack-dashboard
install -d -m 755 %{buildroot}%{_sharedstatedir}/openstack-dashboard
install -d -m 755 %{buildroot}%{_sysconfdir}/openstack-dashboard

# create directory for systemd snippet
mkdir -p %{buildroot}%{_unitdir}/httpd.service.d/
cp %{SOURCE3} %{buildroot}%{_unitdir}/httpd.service.d/openstack-dashboard.conf


# Copy everything to /usr/share
mv %{buildroot}%{python_sitelib}/openstack_dashboard \
   %{buildroot}%{_datadir}/openstack-dashboard
cp manage.py %{buildroot}%{_datadir}/openstack-dashboard
rm -rf %{buildroot}%{python_sitelib}/openstack_dashboard

# remove unnecessary .po files
find %{buildroot} -name django.po -exec rm '{}' \;
find %{buildroot} -name djangojs.po -exec rm '{}' \;

# Move config to /etc, symlink it back to /usr/share
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings
ln -s ../../../../../%{_sysconfdir}/openstack-dashboard/local_settings %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.py

mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/conf/*.json %{buildroot}%{_sysconfdir}/openstack-dashboard

mkdir -p %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings.d
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d/* %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings.d
rmdir %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d
ln -s ../../../../..%{_sysconfdir}/openstack-dashboard/local_settings.d %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.d

%find_lang django --all-name

grep "\/usr\/share\/openstack-dashboard" django.lang > dashboard.lang
grep "\/site-packages\/horizon" django.lang > horizon.lang

# copy static files to %{_datadir}/openstack-dashboard/static
mkdir -p %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a openstack_dashboard/static/* %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a horizon/static/* %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a static/* %{buildroot}%{_datadir}/openstack-dashboard/static

# create /var/run/openstack-dashboard/ and own it
mkdir -p %{buildroot}%{_sharedstatedir}/openstack-dashboard

# create /var/log/horizon and own it
mkdir -p %{buildroot}%{_var}/log/horizon

# place logrotate config:
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -a %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-dashboard


%check
# don't run tests on rhel
%if 0%{?rhel} == 0
# since rawhide has django-1.7 now, tests fail
#./run_tests.sh -N -P
%endif

%post -n openstack-dashboard
# ugly hack to set a unique SECRET_KEY
sed -i "/^from horizon.utils import secret_key$/d" /etc/openstack-dashboard/local_settings
sed -i "/^SECRET_KEY.*$/{N;s/^.*$/SECRET_KEY='`openssl rand -hex 10`'/}" /etc/openstack-dashboard/local_settings
# reload systemd unit files
systemctl daemon-reload >/dev/null 2>&1 || :

%postun
# update systemd unit files
%{systemd_postun}

%files -f horizon.lang
%doc README.rst openstack-dashboard-httpd-logging.conf
%license LICENSE
%dir %{python_sitelib}/horizon
%{python_sitelib}/horizon/*.py*
%{python_sitelib}/horizon/browsers
%{python_sitelib}/horizon/conf
%{python_sitelib}/horizon/contrib
%{python_sitelib}/horizon/forms
%{python_sitelib}/horizon/hacking
%{python_sitelib}/horizon/management
%{python_sitelib}/horizon/static
%{python_sitelib}/horizon/tables
%{python_sitelib}/horizon/tabs
%{python_sitelib}/horizon/templates
%{python_sitelib}/horizon/templatetags
%{python_sitelib}/horizon/test
%{python_sitelib}/horizon/utils
%{python_sitelib}/horizon/workflows
%{python_sitelib}/horizon/karma.conf.js
%{python_sitelib}/horizon/middleware
%{python_sitelib}/*.egg-info

%files -n openstack-dashboard -f dashboard.lang
%license LICENSE
%dir %{_datadir}/openstack-dashboard/
%{_datadir}/openstack-dashboard/*.py*
%{_datadir}/openstack-dashboard/static
%{_datadir}/openstack-dashboard/openstack_dashboard/*.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/api
%{_datadir}/openstack-dashboard/openstack_dashboard/contrib
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/admin
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/identity
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/project
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/settings
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/__init__.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/django_pyscss_fix
%{_datadir}/openstack-dashboard/openstack_dashboard/enabled
%{_datadir}/openstack-dashboard/openstack_dashboard/karma.conf.js
%{_datadir}/openstack-dashboard/openstack_dashboard/local
%{_datadir}/openstack-dashboard/openstack_dashboard/management
%{_datadir}/openstack-dashboard/openstack_dashboard/static
%{_datadir}/openstack-dashboard/openstack_dashboard/templates
%{_datadir}/openstack-dashboard/openstack_dashboard/templatetags
%{_datadir}/openstack-dashboard/openstack_dashboard/themes
%{_datadir}/openstack-dashboard/openstack_dashboard/test
%{_datadir}/openstack-dashboard/openstack_dashboard/usage
%{_datadir}/openstack-dashboard/openstack_dashboard/utils
%{_datadir}/openstack-dashboard/openstack_dashboard/wsgi
%dir %{_datadir}/openstack-dashboard/openstack_dashboard
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??_??
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??/LC_MESSAGES
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??_??/LC_MESSAGES
%{_datadir}/openstack-dashboard/openstack_dashboard/.eslintrc

%dir %attr(0750, root, apache) %{_sysconfdir}/openstack-dashboard
%dir %attr(0750, root, apache) %{_sysconfdir}/openstack-dashboard/local_settings.d/
%{_sysconfdir}/openstack-dashboard/local_settings.d/*.example

%dir %attr(0750, apache, apache) %{_sharedstatedir}/openstack-dashboard

%dir %attr(0750, apache, apache) %{_var}/log/horizon
%config(noreplace) %{_sysconfdir}/httpd/conf.d/openstack-dashboard.conf
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/local_settings
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/ceilometer_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/cinder_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/keystone_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/nova_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/glance_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/neutron_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/heat_policy.json
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-dashboard
%attr(755,root,root) %dir %{_unitdir}/httpd.service.d
%config(noreplace) %{_unitdir}/httpd.service.d/openstack-dashboard.conf

%files doc
%doc html
%license LICENSE

%files -n openstack-dashboard-theme
#%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/theme
#1411953%{_datadir}/openstack-dashboard/openstack_dashboard/enabled/_99_customization.*
%{_sysconfdir}/openstack-dashboard/local_settings.d/_11_*.py*

%changelog
* Fri Jan 13 2017 Jon Schlueter <jschluet@redhat.com> 1:10.0.1-5
- Revert "Fix the flicker of the log on button name" (lp#1651234)
- Resize instance error fixed. (lp#1506488)
- Imported Translations from Zanata
- Imported Translations from Zanata
- The minimum volume size should be pre-populated (lp#1615114)
- modified condition variable project_choices (lp#1581635)
- Let Nova to pick availability zone if more than 1 (lp#1613900)
- Fixes traceback if group name attribute is missing (lp#1593571)
- Reset flavors for other than "Boot from Image" source type. (lp#1482507)
- Allow router panel to not break sidebar (lp#1647766)
- Rework hardcoded policy in admin dash (lp#1643013, lp#1643074)
- Angular images deactivate status fix (lp#1646974)
- Bug fixes Magic Search (lp#1618235, lp#1635505)
- Remove network name from create subnet error message (lp#1634272)
- Add constraints support to run_tests.sh (lp#1644697)
- Improve Horizon nav sidebar (lp#1315488, lp#1628274)
- Remove local/enabled from test settings (lp#1639876)
- Note how to use local.conf in stable branches (lp#1644677)

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 1:10.0.1-4
- Imported Translations from Zanata
- Fix logspam in django 1.9 and django 1.10 tests
- Remove broken telemetry policy check
- Launch Instance: Creating new volume for image snapshot
- Make "Detach Volume" in Instances page translatable
- Add LOCALE_PATHS to settings
- Imported Translations from Zanata
- Show tab label in Admin CreateSubnet/UpdateSubnet form
- Strip leading or trailing spaces from Instance names during update and create

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 1:10.0.1-3
- Add the slaac ipv6 address mode without ra mode
- Correct installation command to include upper-constraints

* Wed Nov 09 2016 Jon Schlueter <jschluet@redhat.com> 1:10.0.1-2
- "Unable to retrieve Domain" incessant warning logs
- Fix the flicker of the log on button name

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 1:10.0.1-1
- Update to 10.0.1

* Tue Nov 01 2016 Jon Schlueter <jschluet@redhat.com> 1:10.0.0-7
- Imported Translations from Zanata
- Usage tables: Sort by disk properly

* Fri Oct 28 2016 Jon Schlueter <jschluet@redhat.com> 1:10.0.0-6
- Imported Translations from Zanata
- Add upgrade notes for new REST_API_REQUIRED_SETTINGS

* Tue Oct 25 2016 Jon Schlueter <jschluet@redhat.com> 1:10.0.0-5
- Allow POLICY_CHECK_FUNCTION to be disabled
- Update the wording of date format on overview panel
- Fix two closing tags on subnet details template
- Clear cached selected items on swift objects table
- i18n: Avoid string concatenations to make translation life happier
- Image listing by visibility fix

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 1:10.0.0-4
- Project table has an extra Enabled column definition
- Fix unnecessary bullet point

* Fri Oct 21 2016 Radomir Dopieralski <openstack@sheep.art.pl> 1:10.0.0-3
- Get rid of empty space in downstream theme (rhbz#1384243)

* Wed Oct 19 2016 Jon Schlueter <jschluet@redhat.com> 1:10.0.0-2
- Imported Translations from Zanata
- Remove hardcode of container_name in backups
- Remove unnecessary translate mark
- OS_INTERFACE was errantly added to the V2 openrc
- Add local_settings.d to the spec file (rhbz#1361148)
- Remove unnecessary scrollbars in RCUE theme (rhbz#1377493)
- Prevent Angular from intercepting links in navigation (rhbz#1369066)
- Add dependency on the downstream theme
- Fix pep8 failure in settings.py
- Update scss imports in RCUE theme
- Pull in OSP theming

* Thu Oct 06 2016 Haikel Guemar <hguemar@fedoraproject.org> 1:10.0.0-1
- Update to 10.0.0
